/*いいねボタン off*/
.d-profile_btn {
  position: relative;
  width: 60px;
  height: 60px;
  border-radius:5px;
  border: 1px solid #ff0000;
  cursor: grab;
}

.d-profile_btn.d-profile_btnlist {
    width:100%;
    display:flex;
    align-items:center;
    height:auto;
    border-radius:none;
    border:none;
    box-shadow:none;
    cursor: grab;
}

.d-profile_btn.d-profile_btnlist img {
    width: 25px;
    height: 25px;
    border-radius: 0;
    margin: 15px 5px;
}

/* ピンク背景（デフォルト） */
.d-profile_btn::before {
  content: "";
  position: absolute;
  inset: 0;
  border-radius: 4px;
  background: linear-gradient(180deg, #fd82be 50%, #FF007D 50%, #FF007D);
  opacity: 1;
}

.d-profile_btn.d-profile_btnlist::before {
    display:none;
}

/* 白グレー背景 */
.d-profile_btn::after {
  content: "";
  position: absolute;
  inset: 0;
  background: linear-gradient(180deg, #FFF 50%, #f0f0f0 50%, #f0f0f0);
  transition: opacity 2s ease;
  opacity: 0;
}

.d-profile_btn.d-profile_btnlist::after {
    display:none;
}

/* active状態で白グレーを上にフェードイン */
.d-profile_btn.active::after {
  opacity: 1;
}

.d-profile_btn span {
    font-size: 20px;
    color: #FFFFFF;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 5px 0;
    z-index:1;
}

.d-profile_btn small{
    color: #FFFFFF;
    font-size:12px;
    z-index:1;
}

/*いいねボタン on*/

.d-profile_btn.active span {
    font-size: 26px;
    color: #FF007D;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 5px 0;
    z-index:1;
}

.d-profile_btn.active small {
    color: #FF007D;
    font-size:12px;
    z-index:1;
}

/*いいねの確認ボックス*/
.d-profile_iine {
    display: none;
    position: fixed;
    padding: 30px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 5;
    background: #FFF;
    border-radius: 16px;
    box-shadow: 0 10px 30px rgba(0, 0, 0, .15);
    width: 320px;
}

.d-profile_iine.active {
    display: block;
}

.d-profile_iine_box {
    position: relative;
    width: 200px;
    height: 130px;
    margin: 0 auto 20px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.d-profile_iine_box .icon-heart {
    position: absolute;
    left: 10px;
    width: 50px;
    height: 50px;
    border-radius: 100vh;
    color: #FFF;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0 auto 20px;
    background: linear-gradient(150deg, #f28900, #ff53c8);
    font-size: 3.2rem;
}

.d-profile_iine_box img {
    width: 130px;
    height: 130px;
    object-fit: cover;
    border-radius: 100vh;
}

.d-profile_iine p {
    font-size: 1.8rem;
    font-weight: bold;
    margin-bottom: 20px;
}

.d-profile_iine p small {
    font-size: 1.6rem;
    font-weight: normal;
    margin-bottom: 20px;
}
/*エラー送信*/
.d-profile_iine_error, .d-deck_iine_error {
    display: none;
    position: fixed;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 30px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 7;
    background: #FFF;
    border-radius: 16px;
    box-shadow: 0 10px 30px rgba(0, 0, 0, .15);
    width: 320px;
    height: 460px;
}

.d-profile_iine_error.active, .d-deck_iine_error.active {
    display: flex;
}

.d-profile_iine_error_box {
    position: relative;
    width: 200px;
    height: 130px;
    margin: 0 auto 20px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.d-profile_iine_error p, .d-deck_iine_error p {
    font-size: 1.6rem;
    font-weight: bold;
    margin-bottom: 20px;
}

.d-profile_iine_error span, .d-deck_iine_error span {
    font-size: 2.2rem;
    background: #cccccc;
    padding: 10px 30px;
    border-radius: 8px;
    color: #ffffff;
    font-weight: bold;
    margin-bottom: 20px;
}

/*いいね送信ボタン*/
.d-profile_iine_btn {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    min-width: 200px;
    border-radius: 30px;
    padding: 10px 25px;
    background: linear-gradient(180deg, #fc9cdd 50%, #ff53c8 50%, #ff53c8, #ff53c8);
    border: 1px solid #ff53c8;
    color: #FFF;
    text-shadow: 2px 2px 5px #ff53c8;
    font-size: 1.8rem;
    font-weight: bold;
    transition: all ease 0.3s;
    cursor: grab;
    margin-bottom: 20px;
}

.d-profile_iine_btn span {
    color: #FFF;
    margin-right: 5px;
}

.d-profile_iine_btn:hover {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    min-width: 200px;
    border-radius: 30px;
    padding: 10px 25px;
    background: linear-gradient(180deg, #ffffff 50%, #f1f1f1 50%, #f1f1f1);
    border: 1px solid #ff53c8;
    color: #ff53c8;
    text-shadow: 2px 2px 5px #ffffff;
    font-size: 1.8rem;
}

.d-profile_iine_btn:hover span {
    color: #ff53c8;
    margin-right: 5px;
}

/*メッセージ付きいいね送信ボタン*/
.d-profile_iinemessage_btn {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    min-width: 200px;
    border-radius: 30px;
    padding: 10px 10px;
    background: linear-gradient(180deg, #77f71b 50%, #00cf0a 50%, #00cf0a, #00cf0a);
    border: 1px solid #00cf0a;
    color: #FFF;
    text-shadow: 2px 2px 5px #00cf0a;
    transition: all ease 0.3s;
    cursor: grab;
    font-size: 1.6rem;
    font-weight: bold;
}

.d-profile_iinemessage_btn span {
    color: #FFF;
    margin-right: 5px;
}

.d-profile_iinemessage_btn:hover {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    min-width: 200px;
    border-radius: 30px;
    padding: 10px 10px;
    background: linear-gradient(180deg, #ffffff 50%, #f1f1f1 50%, #f1f1f1);
    border: 1px solid #00cf0a;
    color: #00cf0a;
    text-shadow: 2px 2px 5px #ffffff;
    font-size: 1.6rem;
}

.d-profile_iinemessage_btn:hover  span {
    color: #00cf0a;
    margin-right: 5px;
}

/*いいねを送信しました画面*/
.d-profile_iine_fins {
    display: none;
    flex-direction: column;
    align-items: center;
    position: fixed;
    width: 320px;
    height: 460px;
    justify-content: center;
    border-radius: 16px;
    padding: 30px;
    background: #fff6c7;
    z-index: 7;
    cursor: grab;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.d-profile_iine_fins.active {
    display: flex;
}

.d-profile_iine_fins img {
    width: 200px;
    height: 200px;
    margin: 0 auto 30px;
}

.d-profile_iine_fins p {
    font-size: 2.2rem;
    color: #ff9e55;
    font-weight: bold;
    margin-bottom: 40px;
}

.d-profile_iine_fins span{
    font-size: 2.2rem;
    background: #ffc014;
    padding: 10px 30px;
    border-radius: 8px;
    color: #ffffff;
    font-weight: bold;
    margin-bottom: 20px;
}

/*背景*/
.d-profile_bg {
    display: none;
}
.d-profile_bg.active {
    display: block;
    height: 100vh;
    width: 100%;
    background: #000;
    opacity: 0.6;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 2;
}